Skip to main content
GET
/
api
/
Sites
/
enable
/
{id}
cURL
curl --request GET \
  --url https://api.example.com/api/Sites/enable/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "originName": "<string>",
  "hackgatedName": "<string>",
  "isActive": true,
  "orgId": "<string>",
  "cretedByUserId": "<string>",
  "creationdDate": "2023-11-07T05:31:56Z",
  "hasCustomList": true,
  "isDeploymentProgress": true,
  "startDate": "2023-11-07T05:31:56Z",
  "stopDate": "2023-11-07T05:31:56Z",
  "credentials": "<string>",
  "instructions": "<string>",
  "rateLimit": "<string>",
  "blockList": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hackgate.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication header

Path Parameters

id
string
required

Response

OK

id
string | null
originName
string | null
hackgatedName
string | null
isActive
boolean
orgId
string | null
cretedByUserId
string | null
creationdDate
string<date-time>
hasCustomList
boolean
isDeploymentProgress
boolean
startDate
string<date-time>
stopDate
string<date-time>
credentials
string | null
instructions
string | null
rateLimit
string | null
blockList
string | null
Last modified on May 9, 2026